## com.thingmagic
Interface StatusListener

    public interface StatusListener

The listener interface for receiving tag read events. The class that is interested in processing a tag read event implements this interface, and the object created with that class is registered with Reader.addStatusListener(). When the tag read occurs, the object's tagRead method is invoked.

Method Summary
`void` `statusMessage(Reader r, SerialReader.StatusReport[] statusReport)` This method is invoked while status response is embedded in response while streaming

Method Detail

### statusMessage

    void statusMessage(Reader r,
                       SerialReader.StatusReport[] statusReport)

  This method is invoked while status response is embedded in response while streaming

  Parameters:
    `r` - - Reader instance
    `statusReport` - - StatusReport instance